### Function

# Vips Foreign find_load

#### Declaration [src]

    const char*
    vips_foreign_find_load (
      const char* filename
    )

#### Description [src]

Searches for an operation you could use to load `filename`. Any trailing options on `filename` are stripped and ignored.

See also

`vips_foreign_find_load_buffer()`, `vips_image_new_from_file()`.

#### Parameters

`filename`

  Type: `const char*`

  File to find a loader for.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `const char*`

The name of an operation on success, `NULL` on error.

The data is owned by the called function.
The value is a NUL terminated UTF-8 string.